Subject: Re: [bug#76529] [PATCH] gnu: emacs-next-minimal: Update to 30.1-rc1.

From: Liliana Marie Prikler <[email-masked]>
Date: Mon, 24 Feb 2025 21:19:43 +0100

Am Montag, dem 24.02.2025 um 14:53 -0500 schrieb Morgan Smith:
> * gnu/packages/emacs.scm (emacs-next-minimal): Update to 30.1-rc1.
> [phases]: Work around the phase 'patch-program-file-names' expecting
> the file "lisp/obsolete/terminal.el" in the same way that guile-emacs
> does.
Since emacs-next-minimal is soon-to-become emacs proper, perhaps we
should instead replace ‘patch-program-file-names’.  WDYT?
> (emacs->emacs-next)[phases]: Add the same workaround as above.
> 
> Change-Id: Ia83ee362fb70ec437b6930ae661b76cb14589b0b
> ---
> 
> Installed this locally on my system.  Everything works as expected. 
> It can find the eln files just fine.  Used it to native compile my
> local manifest of Emacs packages and loaded those.  Everything worked
> great.  It found those eln files.  None of the eln files have a hash
> in their filename (as expected).
> 
> Honestly I was expecting to have to adjust the patches so I am
> pleasantly surprised.
SGTM :)

Cheers